Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.grogra.ext.x3d.exportation
Class BaseExport

    java.lang.Object
      de.grogra.ext.x3d.exportation.BaseExport

All Implemented Interfaces:
  SceneGraphExport.NodeExport

Direct Known Subclasses:
  BackgroundExport, BoxExport, ConeExport, CylinderExport, IndexedFaceSetExport, LightExport, LineExport, ParallelogramExport, PlaneExport, PointExport, SphereExport

    public abstract class BaseExport

extends java.lang.Object
implements SceneGraphExport.NodeExport

Constructor Summary
`BaseExport()`

Method Summary
`void` | `export(SceneTree.Leaf node, SceneTree.InnerNode transform, SceneGraphExport sge)` Exports the leaf `node` to the destination.
`protected abstract void` | `exportImpl(SceneTree.Leaf node, X3DExport export, de.grogra.ext.x3d.xmlbeans.ShapeDocument.Shape shapeNode, de.grogra.ext.x3d.xmlbeans.TransformDocument.Transform transformNode)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BaseExport

    public BaseExport()

Method Detail

### export

    public void export(SceneTree.Leaf node,
                       SceneTree.InnerNode transform,
                       SceneGraphExport sge)
                throws java.io.IOException

  Description copied from interface: `SceneGraphExport.NodeExport`
  Exports the leaf `node` to the destination. If `transform` is non-`null`, this means that `node` is the only child of `transform` and the transformation of `transform` has to be exported together with the `node`.

  Specified by:
    `export` in interface `SceneGraphExport.NodeExport`
  Parameters:
    `node` - a leaf of the scene tree
    `transform` - transformation of node
    `sge` - invoking export instance
  Throws:
    `java.io.IOException`

### exportImpl

    protected abstract void exportImpl(SceneTree.Leaf node,
                                       X3DExport export,
                                       de.grogra.ext.x3d.xmlbeans.ShapeDocument.Shape shapeNode,
                                       de.grogra.ext.x3d.xmlbeans.TransformDocument.Transform transformNode)
                                throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD